﻿@*@using DevExpress.Web;*@
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_PartRecvInquiryScript")

<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Buyer PD";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "pBUYER_PD";
                        settings.Width = 100;
                        settings.Properties.DropDownWidth = 100;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                        settings.Properties.ValueType = typeof(string);
                    }).BindList(ViewData["BuyerPDCdList"]).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Kanban ID";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "pKANBAN_ID";
                        settings.Width = 150;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Sortir Date From";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "pI_START_ORDER_DT";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                }).GetHtml()
                            </td>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "pI_END_ORDER_DT";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td> 
            </tr>
            <tr style="height:30px">
                <td>
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "TMAP Order No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "pTMAP_ORDER_NO";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "pPART_NO";
                        settings.Width = 150;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Item No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "pITEM_NO";
                        settings.Width = 150;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
            </tr>
            <tr style="height:30px">
                <td>
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "TMMIN Order No";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "pTMMIN_ORDER_NO";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Manifest No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "pMANIFEST_NO";
                        settings.Width = 150;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
                @*add agi 2017-10-24*@
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Release Date From*";
                        Label.Width = 120;
                    }).GetHtml()
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "pI_RELEASE_DATE_FROM";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                }).GetHtml()
                            </td>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "pI_RELEASE_DATE_TO";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr style="height:30px">
                <td>
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Supplier Code";
                    Label.Width = 150;
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "pI_SUPPLIER_CD";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Supplier Plant";
                    Label.Width = 150;
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "pI_SUPPLIER_PLANT";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
            </tr>
            <tr style="height:30px">
                <td>
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Sub Supplier Code";
                    Label.Width = 150;
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "pI_SUB_SUPPLIER_CD";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Sub Supplier Plant";
                    Label.Width = 150;
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "pI_SUB_SUPPLIER_PLANT";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 45%" align="right" colspan="2">
                    <div id="action_cnt">
                        @Html.DevExpress().Button(edtSetting =>
                   {
                       edtSetting.Name = "cmdDelete";
                       edtSetting.Width = 80;
                       edtSetting.Text = "Delete";
                       edtSetting.ClientSideEvents.Click = "OnDelete";
                       edtSetting.Style.Add("display", "inline-table");
                       edtSetting.UseSubmitBehavior = true;
                       // Masuk Fase-2
                       //edtSetting.ClientVisible = false;
                       edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-03", "DELETE");
                   }).GetHtml()

                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdDownload";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Download";
                            edtSetting.ClientSideEvents.Click = "OnDownload";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = true;
                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-02", "DOWNLOAD");
                        }).GetHtml()
                    </div>
                    <div id="search_cnt">
                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdSearch";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Search";
                            edtSetting.ClientSideEvents.Click = "OnSearch";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "SEARCH");
                        }).GetHtml()
                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdClear";
                            edtSetting.Width = 90;
                            edtSetting.Text = "Clear";
                            edtSetting.ClientSideEvents.Click = "OnClear";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "CLEAR");
                        }).GetHtml()
                    </div>
                </td>

            </tr>
        </table>
    </fieldset>
</div>

<div class="content" style="min-height: 300px">
    @Html.Partial("PartRecvInquiryGrid")
</div>
